#!/usr/bin/env python

from dm.common.cli.dmRestCli import DmRestCli

class DmRestSessionCli(DmRestCli):
    """ Base dm session cli class. """

    def __init__(self, validArgCount=0):
        DmRestCli.__init__(self, validArgCount)
        self.username = None
        self.password = None

        loginGroup = 'Login Options'
        self.addOptionGroup(loginGroup, None)
        self.addOptionToGroup(loginGroup, '', '--username', dest='username', help='Login username.')
        self.addOptionToGroup(loginGroup, '', '--password', dest='password', help='Login password.')

    def parseArgs(self, usage=None):
        DmRestCli.parseArgs(self, usage)
        self.username = self.options.username
        self.password = self.options.password
        return (self.options, self.args)

    def getUsername(self):
        return self.username

    def getPassword(self):
        return self.password

    def hasCredentials(self):
        return (self.username != None and self.password != None)

#######################################################################
# Testing

if __name__ == '__main__':
        pass
